﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TechNote64_FileDialog_CS
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        FileDialogEx frmFileDialog;

        private void MainForm_Load(object sender, EventArgs e)
        {
            // 현재 Form을 MainForm으로 설정합니다.
            smartForm1.MainForm = this;
        }

        // 키워드에 따른 특정 경로의 FileList를 검색하는 폼을 호출
        private void btnShowFileDialog_Click(object sender, EventArgs e)
        {
            // File Dialog 검색창 생성
            frmFileDialog = new FileDialogEx();

            // File Dialog 검색창 호출
            if (frmFileDialog.ShowDialog() == DialogResult.OK)
            {
                // 파일 경로 얻기
                labFilePath.Text = frmFileDialog.SelectFileInfo.strPath;

                // 파일 이름 얻기
                labFileName.Text = frmFileDialog.SelectFileInfo.strFileName;

                // 파일 확장자 얻기
                labFileExtension.Text = frmFileDialog.SelectFileInfo.strFileExtension;
            }
            else
            {
                SmartX.SmartMessageBox.Show("선택된 파일이 없습니다.");
            }
        }
    }
}